## EBitArray

EBitArray

## Functions

EBitArray * | e_bit_array_new ()
gboolean | e_bit_array_value_at ()
void | e_bit_array_foreach ()
gint | e_bit_array_selected_count ()
void | e_bit_array_select_all ()
gint | e_bit_array_bit_count ()
void | e_bit_array_change_one_row ()
void | e_bit_array_change_range ()
void | e_bit_array_select_single_row ()
void | e_bit_array_toggle_single_row ()
void | e_bit_array_insert ()
void | e_bit_array_delete ()
void | e_bit_array_delete_single_mode ()
void | e_bit_array_move_row ()

## Object Hierarchy

        GObject
        ╰── EBitArray

## Description

## Functions

### e_bit_array_new ()

    EBitArray *
    e_bit_array_new (gint count);

### e_bit_array_value_at ()

    gboolean
    e_bit_array_value_at (EBitArray *bit_array,
                          gint n);

This routine calculates whether the given row is selected.

#### Parameters

bit_array | EBitArray to check |
n | The row to check |

#### Returns

`TRUE` if the given row is selected

### e_bit_array_foreach ()

    void
    e_bit_array_foreach (EBitArray *bit_array,
                         EForeachFunc callback,
                         gpointer closure);

This routine calls the given callback function once for each selected row, passing closure as the closure.

#### Parameters

bit_array | EBitArray to traverse |
callback | The callback function to call back. |
closure | The closure |

### e_bit_array_selected_count ()

    gint
    e_bit_array_selected_count (EBitArray *bit_array);

This routine calculates the number of rows selected.

#### Parameters

bit_array | EBitArray to count |

#### Returns

The number of rows selected in the given model.

### e_bit_array_select_all ()

    void
    e_bit_array_select_all (EBitArray *bit_array);

This routine selects all the rows in the given EBitArray.

#### Parameters

bit_array | EBitArray to select all |

### e_bit_array_bit_count ()

    gint
    e_bit_array_bit_count (EBitArray *bit_array);

### e_bit_array_change_one_row ()

    void
    e_bit_array_change_one_row (EBitArray *bit_array,
                                gint row,
                                gboolean grow);

### e_bit_array_change_range ()

    void
    e_bit_array_change_range (EBitArray *bit_array,
                              gint start,
                              gint end,
                              gboolean grow);

### e_bit_array_select_single_row ()

    void
    e_bit_array_select_single_row (EBitArray *bit_array,
                                   gint row);

### e_bit_array_toggle_single_row ()

    void
    e_bit_array_toggle_single_row (EBitArray *bit_array,
                                   gint row);

### e_bit_array_insert ()

    void
    e_bit_array_insert (EBitArray *bit_array,
                        gint row,
                        gint count);

### e_bit_array_delete ()

    void
    e_bit_array_delete (EBitArray *bit_array,
                        gint row,
                        gint count);

### e_bit_array_delete_single_mode ()

    void
    e_bit_array_delete_single_mode (EBitArray *bit_array,
                                    gint row,
                                    gint count);

### e_bit_array_move_row ()

    void
    e_bit_array_move_row (EBitArray *bit_array,
                          gint old_row,
                          gint new_row);